Unit tadh3c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ADH3C_p;

function tadh3c: String;

implementation

function tadh3c: String;
var
D2,N :Integer;
D1 :Complex;
RI :Array [0..5] of Integer;
R :Array [0..2] of Real;
const
A :Array [0..5] of Complex = ( ( re:1.0; im:0.0 ),( re:0.5; im:1.0 ),( 
re:-1.0; im:0.0 ),( re:3.0; im:-1.0 ),( re:2.0; 
im:1.0 ),( re:1.0; im: 0.0 ) );
begin
Result := '';  {   }
N := 3;
ADH3C(A,D1,D2,RI,R,N);
Result := Result + Format('%s',['  D1=']);
Result := Result + Format('%20.16f %20.16f ',[D1.re,D1.im]) + #$0D#$0A;
Result := Result + Format('%s',['  D2=']);
Result := Result + Format('%3d ',[D2]) + #$0D#$0A;
UtRes('tadh3c',Result);  {     tadh3c.res }
exit;
end;

end.
